%define	name	volumeicon
%define	version	0.4.1
%define	release	%mkrel	4

Summary:	Lightweight volume control
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Other
License:	GPLv3
URL:		http://www.softwarebakery.com/maato/home.html
Source:         http://www.softwarebakery.com/maato/home.html/%{name}-%{version}.tar.gz
Patch0:		volumeicon_lxde.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel intltool
%if %mdvver >= 201100 
Buildrequires: 	%{_lib}alsa-devel
%else
Buildrequires:	%{_lib}alsa2-devel
%endif

Obsoletes: %name < %version

%description
Volume Icon aims to be a lightweight volume control that sits in your systray.
Features

* Change volume by scrolling on the systray icon
* Ability to choose which channel to control
* Configurable stepsize (percentage of volume increase/decrease per scrollwheel step)
* Several icon themes (with gtk theme as default)
* Configurable external mixer
* Volume Slider

%prep
%setup -q 
%patch0 -p0

%build
%configure2_5x 
       
%make 

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%_sysconfdir/xdg/autostart/
cat > %{buildroot}%_sysconfdir/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=volumeicon
Comment=Volume Icon
Exec=%{name}
Terminal=false
Type=Application
Icon=%{_datadir}/%{name}/gui/appicon.svg
Categories=AudioVideo;Audio;X-MandrivaLinux-Multimedia-Sound
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_sysconfdir/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Tue Jul 19 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-4mdv2011.0
+ Revision: 690606
- change left mouse button action to view volume slider by default

* Sat Jun 25 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-3
+ Revision: 687151
- add localized version. You may now translate it.
- fix backports buildrequires issue

* Mon Jun 13 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-1
+ Revision: 684445
- new version 0.4.1
- import volumeicon


* Tue Apr 06 2010 slick50 <lxgator@gmail.com> 0.2.1-1pclos2010
- initial pkg

